const urlServidor = "http://localhost/itegocrm-back/";
var landing_id;

function parseURLParams() {
  var params = {};
  var param_array = window.location.href.split('?')[1].split('&');
  for(var i in param_array){
      x = param_array[i].split('=');
      params[x[0]] = x[1];
  }
  return params;
}

$(document).ready(function () {
// $('#campo_email').css('display', 'flex');
// $('#campo_nombre').css('display', 'flex');
// $('#campo_telefono').css('display', 'flex');
// $('#campo_mensaje').css('display', 'flex');
  getLanding(parseURLParams());
});

$(document).on('click', '#btnSendForm', function () {
  checkForm();
});

function getLanding(id) {
  var data = JSON.stringify({
idCliente:localStorage.getItem('idCliente'),
    filtros: {
      id: id
    }
  });

  $.ajax({
    url: urlServidor + 'index.php/apiCampaniaVenta/getLandingWeb',
    type: 'POST',
    data: data,
    success: function (respuesta) {
      if (respuesta.estado == 1) {
        completarPagina(respuesta.data);
      }
    },
    error: function () {
      console.log("No se ha podido obtener la información");
    }
  });
}

function completarPagina(datos) {
  console.log('completarPagina datos', datos);

  landing_id = datos.id;
  $('#titulo_1').html(datos.titulo);
  $('#descripcion_1').html(datos.descripcion);
  if(datos.imagenes.length > 0){
    $('#imagen_1').attr('src', datos.imagenes[0].blob);
  }

  $.each(datos.campos, function (i, v) {
    if (v.nombre) {
      if (v.nombre == 'Email') {
        $('#email').prop('disabled', false);
        $('#email').attr('name', v.nombre_columna);
        $('#campo_email').css('display', 'flex');
      }
      if (v.nombre == 'Nombre') {
        $('#nombre').prop('disabled', false);
        $('#nombre').attr('name', v.nombre_columna);
        $('#campo_nombre').css('display', 'flex');
      }
      if (v.nombre == 'Telefono') {
        $('#telefono').prop('disabled', false);
        $('#telefono').attr('name', v.nombre_columna);
        $('#campo_telefono').css('display', 'flex');
      }
      if (v.nombre == 'Mensaje') {
        $('#mensaje').prop('disabled', false);
        $('#mensaje').attr('name', v.nombre_columna);
        $('#campo_mensaje').css('display', 'flex');
      }
    }
  });
  $('.header').css('display', 'flex');
}

function checkForm() {
  var form = $('#formLanding').serializeArray();
  var entidades = {};
  var contactos = {};
  var nombre;
  var campo;

  var data = { 'landing_id': landing_id };

  $.each(form, function (i, v) {
    nombre = v.name.split('.');
    campo = nombre[1];
    if (nombre[0] == 'Entidades') {
      entidades[campo] = v.value
    }
    if (nombre[0] == 'Contactos') {
      contactos[campo] = v.value
    }
  });
  if (!jQuery.isEmptyObject(entidades)) {
    data['entidades'] = entidades;
  }
  if (!jQuery.isEmptyObject(contactos)) {
    data['contactos'] = contactos;
  }

  var dataObj = JSON.stringify(data);

  sendForm(dataObj);
}

function sendForm(data) {
  $.ajax({
    url: urlServidor + 'index.php/apiLanding/cargarme',
    type: 'POST',
    data: data,
    success: function (respuesta) {
      console.log('cargarme respuesta', respuesta);
    },
    error: function () {
      console.log("No se ha podido obtener la información");
    }
  });
}const urlServidor = "http://localhost/itegocrm-back/";
var landing_id;

function parseURLParams() {
  var params = {};
  var param_array = window.location.href.split('?')[1].split('&');
  for(var i in param_array){
      x = param_array[i].split('=');
      params[x[0]] = x[1];
  }
  return params;
}

$(document).ready(function () {
// $('#campo_email').css('display', 'flex');
// $('#campo_nombre').css('display', 'flex');
// $('#campo_telefono').css('display', 'flex');
// $('#campo_mensaje').css('display', 'flex');
  getLanding(parseURLParams());
});

$(document).on('click', '#btnSendForm', function () {
  checkForm();
});

function getLanding(id) {
  var data = JSON.stringify({
idCliente:localStorage.getItem('idCliente'),
    filtros: {
      id: id
    }
  });

  $.ajax({
    url: urlServidor + 'index.php/apiCampaniaVenta/getLandingWeb',
    type: 'POST',
    data: data,
    success: function (respuesta) {
      if (respuesta.estado == 1) {
        completarPagina(respuesta.data);
      }
    },
    error: function () {
      console.log("No se ha podido obtener la información");
    }
  });
}

function completarPagina(datos) {
  console.log('completarPagina datos', datos);

  landing_id = datos.id;
  $('#titulo_1').html(datos.titulo);
  $('#descripcion_1').html(datos.descripcion);
  if(datos.imagenes.length > 0){
    $('#imagen_1').attr('src', datos.imagenes[0].blob);
  }

  $.each(datos.campos, function (i, v) {
    if (v.nombre) {
      if (v.nombre == 'Email') {
        $('#email').prop('disabled', false);
        $('#email').attr('name', v.nombre_columna);
        $('#campo_email').css('display', 'flex');
      }
      if (v.nombre == 'Nombre') {
        $('#nombre').prop('disabled', false);
        $('#nombre').attr('name', v.nombre_columna);
        $('#campo_nombre').css('display', 'flex');
      }
      if (v.nombre == 'Telefono') {
        $('#telefono').prop('disabled', false);
        $('#telefono').attr('name', v.nombre_columna);
        $('#campo_telefono').css('display', 'flex');
      }
      if (v.nombre == 'Mensaje') {
        $('#mensaje').prop('disabled', false);
        $('#mensaje').attr('name', v.nombre_columna);
        $('#campo_mensaje').css('display', 'flex');
      }
    }
  });
  $('.header').css('display', 'flex');
}

function checkForm() {
  var form = $('#formLanding').serializeArray();
  var entidades = {};
  var contactos = {};
  var nombre;
  var campo;

  var data = { 'landing_id': landing_id };

  $.each(form, function (i, v) {
    nombre = v.name.split('.');
    campo = nombre[1];
    if (nombre[0] == 'Entidades') {
      entidades[campo] = v.value
    }
    if (nombre[0] == 'Contactos') {
      contactos[campo] = v.value
    }
  });
  if (!jQuery.isEmptyObject(entidades)) {
    data['entidades'] = entidades;
  }
  if (!jQuery.isEmptyObject(contactos)) {
    data['contactos'] = contactos;
  }

  var dataObj = JSON.stringify(data);

  sendForm(dataObj);
}

function sendForm(data) {
  $.ajax({
    url: urlServidor + 'index.php/apiLanding/cargarme',
    type: 'POST',
    data: data,
    success: function (respuesta) {
      console.log('cargarme respuesta', respuesta);
    },
    error: function () {
      console.log("No se ha podido obtener la información");
    }
  });
}